<p-dialog
  [(visible)]="display"
  header="Titulo"
  [position]="utilitiesConfig.optionsDialog.position"
  [modal]="utilitiesConfig.optionsDialog.modal"
  [styleClass]="utilitiesConfig.optionsDialog.styleClass"
  [breakpoints]="utilitiesConfig.optionsDialog.breakpoints"
  [baseZIndex]="utilitiesConfig.optionsDialog.baseZIndex"
  [draggable]="utilitiesConfig.optionsDialog.draggable"
  [maximizable]="utilitiesConfig.optionsDialog.maximizable"
  [style]="utilitiesConfig.optionsDialog.style"
  [contentStyle]="utilitiesConfig.optionsDialog.contentStyle"
  (onHide)="goToPage()"
>
  <ng-template pTemplate="header">
    <span class="p-dialog-title">
      <em class="pi pi-pencil"></em>
      Clasificar
    </span>
    <div class="ties">
      <span class="void">
        <span class="tie-knot"></span>
      </span>
      <span class="void">
        <span class="tie-knot"></span>
      </span>
    </div>
  </ng-template>

  <div class="column left">
    <div
      cdkDropList
      class="bin"
      [cdkDropListData]="tiles"
      [cdkDropListConnectedTo]="['upper', 'mid']"
      class="d-flex justify-around"
    >
      <div
        class="item"
        [id]="tile.id"
        *ngFor="let tile of tiles"
        [ngClass]="tile.correctDiv"
        cdkDrag
      >
        <div class="header">
          <img
            src="assets/images/sorting-game/{{ tile.img }}"
            [style.width]="tile.w ? tile.w : 'auto'"
            [style.height]="tile.h ? tile.h : 'auto'"
          />
          <div class="item preview" *cdkDragPreview>
            <div class="header">
              <img
                src="assets/images/sorting-game/{{ tile.img }}"
                [style.width]="tile.w ? tile.w : 'auto'"
                [style.height]="tile.h ? tile.h : 'auto'"
              />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="column right">
    <div class="grid p-fluid dropzones d-flex">
      <div class="dropzone field col-12 md:col-12 lg:col-6 xl:col-6" *ngFor="let zone of dropzones">
        <div class="header"></div>
        <div
          cdkDropList
          class="bin fondo"
          [style.background-image]="
            'url(assets/images/sorting-game/' + zone.img + ')'
          "
          [id]="zone.id"
          [cdkDropListData]="dropBins[zone.id]"
          (cdkDropListDropped)="drop($event)"
        >
          <div
            class="item dropped"
            *ngFor="let tile of dropBins[zone.id]"
            cdkDrag
          >
            <div class="header">
              <!--<h2>{{tile.img}}</h2>  -->
              <img
                src="assets/images/sorting-game/{{ tile.img }}"
                width="6.5rem"
                [style.height]="tile.height ? tile.height : 'auto'"
              />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
 

  <ng-template pTemplate="footer">
    <div class="flex justify-content-center"></div>
  </ng-template>
</p-dialog>


